> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leafpress.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Bill Information

Query bill information from specified property.

### Request Params

<ParamField path="property_id" type="string">
  Specified property ID where data will enter
</ParamField>

### Request Body

<ParamField path="type" type="Array of Strings">
  Required enum type of data queried, must be a sublist of \["ELECTRICITY",
  "GAS", "WATER", "FUEL", "DISTRICTHEATING", "WASTE", "CHARGES"]
</ParamField>

<ParamField path="start_date" type="String">
  Required YYYYMMDD string start\_date for the usage (inclusive)
</ParamField>

<ParamField path="end_date" type="String">
  Required YYYYMMDD string end\_date for the usage (inclusive)
</ParamField>

### Response

<ParamField path="data" type="array<object>">
  Usage and/or charge data associated with property id

  <ParamField path="created" type="string">
    Timestamp indicating when record was created
  </ParamField>

  <ParamField path="address" type="string">
    Address
  </ParamField>

  <ParamField path="type" type="string">
    Specifies the type of data source, one of "ELECTRICITY", "GAS", "WATER",
    "FUEL", "DISTRICTHEATING", "WASTE"
  </ParamField>

  <ParamField path="start_date" type="string">
    Start date for the usage or charge period
  </ParamField>

  <ParamField path="end_date" type="string">
    End date for the usage or charge period
  </ParamField>

  <ParamField path="charges" type="string">
    Total monetary charges incurred on the invoice (as string to preserve
    precision)
  </ParamField>

  <ParamField path="currency" type="string">
    Currency code for charges
  </ParamField>

  <ParamField path="usage" type="string">
    Usage amount extracted from billing data
  </ParamField>

  <ParamField path="usage_unit" type="string">
    Unit for usage amount
  </ParamField>

  <ParamField path="estimated" type="boolean">
    Indicates if the data has been estimated
  </ParamField>

  <ParamField path="account_number" type="string" optional>
    Account number associated with usage
  </ParamField>

  <ParamField path="meter_id" type="string" optional>
    Meter ID associated with usage
  </ParamField>

  <ParamField path="meter_description" type="string" optional>
    Meter description associated with usage
  </ParamField>

  <ParamField path="bill_file_name" type="string" optional>
    Name of the associated bill file
  </ParamField>

  <ParamField path="folder_name" type="string" optional>
    Name of the folder containing the bill
  </ParamField>

  <ParamField path="provider" type="string" optional>
    Utility provider name
  </ParamField>

  <ParamField path="total_due" type="string" optional>
    Total amount due on the bill
  </ParamField>

  <ParamField path="custom_fields" type="object" optional>
    Additional custom fields specific to each utility type. Examples include: -
    Commercial Electric - Commercial Service Charge - Demand Cost - Demand Usage

    * Electric Tax - Power Cost Adjustment And any other provider-specific
      fields
  </ParamField>

  <ParamField path="electricity_fields" type="object" optional>
    Additional fields for electricity data

    <ParamField path="network_peak_usage_kwh" type="string" optional>
      Peak usage associated with the network in kWh
    </ParamField>

    <ParamField path="network_offpeak_usage_kwh" type="string" optional>
      Off-peak usage associated with the network in kWh
    </ParamField>

    <ParamField path="peak_demand" type="string" optional>
      Peak demand of electricity meter
    </ParamField>

    <ParamField path="peak_demand_units" type="string" optional>
      Units of peak demand
    </ParamField>
  </ParamField>

  <ParamField path="waste_fields" type="object" optional>
    Additional fields for waste data

    <ParamField path="waste_type" type="string" optional>
      Type of waste associated from predefined choices
    </ParamField>

    <ParamField path="num_bins" type="string" optional>
      Number of bins associated with usage
    </ParamField>

    <ParamField path="bin_size" type="string" optional>
      Size of bins associated with usage
    </ParamField>

    <ParamField path="bin_size_units" type="string" optional>
      Units for the bin sizes associated with usage
    </ParamField>
  </ParamField>
</ParamField>
